# StepElement_HSequenceOfElementMaterial.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StepElement_HSequenceOfElementMaterial.hxx>`
`#include <StepElement_SequenceOfElementMaterial.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepElement_ElementMaterial.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_StepElement_ElementMaterial
#define | Item_hxx <StepElement_ElementMaterial.hxx>
#define | TheSequence StepElement_SequenceOfElementMaterial
#define | TheSequence_hxx <StepElement_SequenceOfElementMaterial.hxx>
#define | TCollection_HSequence StepElement_HSequenceOfElementMaterial
#define | TCollection_HSequence_hxx <StepElement_HSequenceOfElementMaterial.hxx>
#define | Handle_TCollection_HSequence Handle_StepElement_HSequenceOfElementMaterial
#define | TCollection_HSequence_Type_() StepElement_HSequenceOfElementMaterial_Type_()

## Functions

Handle_StepElement_HSequenceOfElementMaterial | ShallowCopy (const Handle_StepElement_HSequenceOfElementMaterial &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_StepElement_HSequenceOfElementMaterial

#define Item Handle_StepElement_ElementMaterial

#define Item_hxx <StepElement_ElementMaterial.hxx>

#define TCollection_HSequence StepElement_HSequenceOfElementMaterial

#define TCollection_HSequence_hxx <StepElement_HSequenceOfElementMaterial.hxx>

#define TCollection_HSequence_Type_ | (

)

StepElement_HSequenceOfElementMaterial_Type_()

#define TheSequence StepElement_SequenceOfElementMaterial

#define TheSequence_hxx <StepElement_SequenceOfElementMaterial.hxx>

## Function Documentation

Handle_StepElement_HSequenceOfElementMaterial ShallowCopy | ( | const Handle_StepElement_HSequenceOfElementMaterial & | me | ) | `[inline]`